Bug 215643 - ncdump dumps core when run w/o args
ncdump dumps core when run w/o args
Product: Fedora
Classification: Fedora
Component: netcdf (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Ed Hill
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2006-11-14 18:42 EST by David Nečas
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-11-14 22:12:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David Nečas 2006-11-14 18:42:28 EST
Description of problem:
ncdump segfaults when run without any arguments.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. ncdump

Actual results:
Segmentation fault (core dumped)

Expected results:
It complains one has to give it a file to dump.

Additional info:
Running: gdb /usr/bin/ncdump ./core.17342
Using host libthread_db library "/lib64/libthread_db.so.1".
Core was generated by `ncdump'.
Program terminated with signal 11, Segmentation fault.
#0  0x0000003265a74e00 in strchr () from /lib64/libc.so.6
#0  0x0000003265a74e00 in strchr () from /lib64/libc.so.6
#1  0x0000003265a758fe in strrchr () from /lib64/libc.so.6
#2  0x00000000004030f0 in main (argc=0, argv=0x7fff03f66468) at ncdump.c:88
#3  0x0000003265a1da44 in __libc_start_main () from /lib64/libc.so.6
#4  0x00000000004013b9 in _start ()

It probably tries to parse NULL or something like that...
Comment 1 Ed Hill 2006-11-14 22:12:05 EST
Hi David,

I'm able to reproduce this bug on i386 as well.  And it doesn't 
appear to be specific to the Fedora netcdf package.  So I've 
reported it to the upstream folks:


and hopefully it'll be fixed in a future release.
Comment 2 Ed Hill 2006-11-15 11:05:45 EST
Upstream reports that this issue is fixed in 3.6.2beta.  And I'll update the 
Fedora package soon after the upstream 3.6.2 final release.

Note You need to log in before you can comment on or make changes to this bug.